DROP TABLE IF EXISTS USUARIO;

CREATE TABLE USUARIO (
	ID INT NOT NULL AUTO_INCREMENT,
	FIRST_NAME VARCHAR(255),
	LAST_NAME VARCHAR(255),
	EMAIL VARCHAR(255),
	PASSWORD VARCHAR(255),
	ROLES VARCHAR(255),
	PRIMARY KEY (ID));
	
DROP TABLE IF EXISTS TIPO_CAMBIO;

CREATE TABLE TIPO_CAMBIO (
	ID INT NOT NULL AUTO_INCREMENT,
	MONEDA_ORIGEN VARCHAR(255),
	MONEDA_DESTINO VARCHAR(255),
	TIPO_CAMBIO DOUBLE,
	PRIMARY KEY (ID));
	
DROP TABLE IF EXISTS USERS;

CREATE TABLE USERS( 
	ID INT NOT NULL AUTO_INCREMENT ,
	USERNAME VARCHAR(255) NOT NULL ,
	EMAIL VARCHAR(255) NOT NULL ,
	PASSWORD VARCHAR(255) NOT NULL, 
	ROLES VARCHAR(25) NOT NULL,
	PRIMARY KEY (ID));
	
DROP TABLE IF EXISTS LOG;

CREATE TABLE LOG( 
	ID INT NOT NULL AUTO_INCREMENT ,
	ACCION VARCHAR(255) ,
	DETALLE VARCHAR(255) ,
	USUARIO VARCHAR(255), 
	FECHA_CREACION DATE,
	PRIMARY KEY (ID));